# frozen_string_literal: true
module Codebreaker
  class Wellcome

    include Phrases
    include Storage
    include Validator
    include InputHelper

    def start_codebreaker
      greeting
      spot
    end

    def spot
      case user_input('navigation')
      when COMMANDS[:start] then registration
      when COMMANDS[:rules] then rules
      when COMMANDS[:statistics] then show_statistics
      end
    end

    def show_statistics
      show restore_storage
      spot
    end

    def registration
      about_name
      name = user_input('name')
      about_complexities
      complexity = user_input('complexity')
      Console.new(name, complexity).play
    end
  end
end
